Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.metaclass
[Java] Class CreateDynamicMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.commons.metaclass.CreateDynamicMethod

    public class CreateDynamicMethod
    extends AbstractStaticMethodInvocation

A dynamic static method that is a factory method for creating new instances. eg. Account.create()

Authors:
  Graeme Rocher

Field Summary
`static java.lang.String` | `METHOD_NAME`

Constructor Summary
`CreateDynamicMethod()`

Method Summary
`java.lang.Object` | `invoke(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments)`

Methods inherited from class AbstractStaticMethodInvocation
getPattern, invoke, isMethodMatch, setPattern, setPattern, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### METHOD_NAME

    public static final java.lang.String METHOD_NAME

Constructor Detail

### CreateDynamicMethod

    public CreateDynamicMethod()

Method Detail

### invoke

    @java.lang.SuppressWarnings("rawtypes")
    @java.lang.Override
    public java.lang.Object invoke(java.lang.Class clazz, java.lang.String methodName, java.lang.Object[] arguments)

Groovy Documentation